]> gitweb.factorcode.org Git - factor.git/commitdiff
build.sh: Only find the mingw compiler on Windows.
authorDoug Coleman <doug.coleman@gmail.com>
Tue, 31 Mar 2020 01:37:38 +0000 (20:37 -0500)
committerDoug Coleman <doug.coleman@gmail.com>
Tue, 31 Mar 2020 01:37:38 +0000 (20:37 -0500)
Fixes #2269

build.sh

index fd6587267de922a381761827031df2f522eb110c..bd204e3f3a0fc4977bb709aa4a86226c07a205be 100755 (executable)
--- a/build.sh
+++ b/build.sh
@@ -154,21 +154,24 @@ clang_version_ok() {
 }
 
 set_cc() {
-
     # on Cygwin we MUST use the MinGW "cross-compiler", therefore check these first
     # furthermore, we prefer 64 bit over 32 bit versions if both are available
-    test_programs_installed x86_64-w64-mingw32-gcc x86_64-w64-mingw32-g++
-    if [[ $? -ne 0 ]] ; then
-        [ -z "$CC" ] && CC=x86_64-w64-mingw32-gcc
-        [ -z "$CXX" ] && CXX=x86_64-w64-mingw32-g++
-        return
-    fi
 
-    test_programs_installed i686-w64-mingw32-gcc i686-w64-mingw32-g++
-    if [[ $? -ne 0 ]] ; then
-        [ -z "$CC" ] && CC=i686-w64-mingw32-gcc
-        [ -z "$CXX" ] && CXX=i686-w64-mingw32-g++
-        return
+    # we need this condition so we don't find a mingw32 compiler on linux
+    if [[ $OS == windows ]] ; then
+        test_programs_installed x86_64-w64-mingw32-gcc x86_64-w64-mingw32-g++
+        if [[ $? -ne 0 ]] ; then
+            [ -z "$CC" ] && CC=x86_64-w64-mingw32-gcc
+            [ -z "$CXX" ] && CXX=x86_64-w64-mingw32-g++
+            return
+        fi
+
+        test_programs_installed i686-w64-mingw32-gcc i686-w64-mingw32-g++
+        if [[ $? -ne 0 ]] ; then
+            [ -z "$CC" ] && CC=i686-w64-mingw32-gcc
+            [ -z "$CXX" ] && CXX=i686-w64-mingw32-g++
+            return
+        fi
     fi
 
     test_programs_installed clang clang++